ru.bitel.bgbilling.plugins.documents.common.bean

## Class DocumentVariable

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.plugins.documents.common.bean.DocumentVariable

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class DocumentVariable
      extends IdTitle

  Класс-модель переменной в плагине Documents. Представляет собой идентификатор,
  содержащийся в шаблоне документа, на место которого подставляется опреденное значение
  в зависимости от типа переменной.
  Author:
    artur
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentVariable()`
    `DocumentVariable(java.lang.String title)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Переопределенный для переменных шаблона метод сравнения.
    `java.lang.String` | `getAdditionalParam()`
    `DocumentVariableType` | `getType()`
    `java.lang.String` | `getValue()`
    `void` | `setAdditionalParam(java.lang.String additionalParam)`
    `void` | `setType(DocumentVariableType type)`
    `void` | `setValue(java.lang.String value)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### DocumentVariable

          public DocumentVariable()

    - #### DocumentVariable

          public DocumentVariable(java.lang.String title)

  - ### Method Detail

    - #### getType

          public DocumentVariableType getType()

    - #### setType

          public void setType(DocumentVariableType type)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getAdditionalParam

          public java.lang.String getAdditionalParam()

    - #### setAdditionalParam

          public void setAdditionalParam(java.lang.String additionalParam)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Переопределенный для переменных шаблона метод сравнения. Переопределение необходимо, т.к. сравнение объектов происходит не по id, а по title+type
      Overrides:
        `equals` in class `Id`